Go to index page.

# gifrotat

A program to rotate a GIF image by a specified angle.

# Usage:

    gifrotat -a Angle [-q] [-s Width Height] [-h] gif-file

If no gif-file is given, GifRotat will try to read a GIF file from stdin.

# Memory required:

Screen (of source image).

# Options:

-a Angle
  Specifies the angle to rotate in degrees with respect to the X (horizontal) axis.

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-s Width Height]
  Since the rotated image will have the same image size as the original, some parts of the image will by clipped out and lost. By specifing a (bigger) size explicitly using the `-s' option, these parts may be saved.

[-h]
  Print one line of command line help, similar to Usage above.

# Notes:

The image is rotated around its center. No filtering is performed on the output, which have the same color map as the input. This is mainly since filtering would require color quantization which is very memory/time intensive and out of MSDOS memory limits even for small images.

# Author:

Gershon Elber